XMLStreamReaderToContentHandler (Mule ESB 2.2.1 API)
Keywords: org.mule.module.xml.stax.XMLStreamReaderToContentHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.xml.stax
Class XMLStreamReaderToContentHandler

    java.lang.Object
      org.mule.module.xml.stax.XMLStreamReaderToContentHandler

All Implemented Interfaces:
  javanet.staxutils.StAXReaderToContentHandler

    public class XMLStreamReaderToContentHandler

extends Object
implements javanet.staxutils.StAXReaderToContentHandler

This is a simple utility class that adapts StAX events from an `XMLStreamReader` to SAX events on a `ContentHandler`, bridging between the two parser technologies.

Version:
  1.0
Author:
  Ryan.Shoemaker@Sun.COM

Constructor Summary
`XMLStreamReaderToContentHandler(javax.xml.stream.XMLStreamReader staxCore, javanet.staxutils.helpers.XMLFilterImplEx filter)` Construct a new StAX to SAX adapter that will convert a StAX event stream into a SAX event stream.

Method Summary
`void` | `bridge()`
`protected Attributes` | `getAttributes()` Get the attributes associated with the given START_ELEMENT or ATTRIBUTE StAXevent.
`protected void` | `handleAttribute()`
`protected void` | `handleCDATA()`
`protected void` | `handleCharacters()`
`protected void` | `handleComment()`
`protected void` | `handleDTD()`
`protected void` | `handleEndDocument()`
`protected void` | `handleEndElement()`
`protected void` | `handleEntityDecl()`
`protected void` | `handleEntityReference()`
`protected void` | `handleNamespace()`
`protected void` | `handleNotationDecl()`
`protected void` | `handlePI()`
`protected void` | `handleSpace()`
`protected void` | `handleStartDocument()`
`protected void` | `handleStartElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLStreamReaderToContentHandler

    public XMLStreamReaderToContentHandler(javax.xml.stream.XMLStreamReader staxCore,
                                           javanet.staxutils.helpers.XMLFilterImplEx filter)

  Construct a new StAX to SAX adapter that will convert a StAX event stream into a SAX event stream.

  Parameters:
    `staxCore` - StAX event source
    `filter` - SAX event sink

Method Detail

### bridge

    public void bridge()
                throws javax.xml.stream.XMLStreamException

  Specified by:
    `bridge` in interface `javanet.staxutils.StAXReaderToContentHandler`
  Throws:
    `javax.xml.stream.XMLStreamException`

### handleEndDocument

    protected void handleEndDocument()
                              throws SAXException

  Throws:
    `SAXException`

### handleStartDocument

    protected void handleStartDocument()
                                throws SAXException

  Throws:
    `SAXException`

### handlePI

    protected void handlePI()
                     throws javax.xml.stream.XMLStreamException

  Throws:
    `javax.xml.stream.XMLStreamException`

### handleCharacters

    protected void handleCharacters()
                             throws javax.xml.stream.XMLStreamException

  Throws:
    `javax.xml.stream.XMLStreamException`

### handleEndElement

    protected void handleEndElement()
                             throws javax.xml.stream.XMLStreamException

  Throws:
    `javax.xml.stream.XMLStreamException`

### handleStartElement

    protected void handleStartElement()
                               throws javax.xml.stream.XMLStreamException

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributes

    protected Attributes getAttributes()

  Get the attributes associated with the given START_ELEMENT or ATTRIBUTE StAXevent.

  Returns:
    the StAX attributes converted to an org.xml.sax.Attributes

### handleNamespace

    protected void handleNamespace()

### handleAttribute

    protected void handleAttribute()

### handleDTD

    protected void handleDTD()

### handleComment

    protected void handleComment()
                          throws javax.xml.stream.XMLStreamException

  Throws:
    `javax.xml.stream.XMLStreamException`

### handleEntityReference

    protected void handleEntityReference()

### handleSpace

    protected void handleSpace()

### handleNotationDecl

    protected void handleNotationDecl()

### handleEntityDecl

    protected void handleEntityDecl()

### handleCDATA

    protected void handleCDATA()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.